에이전트 버전
에이전트 버전 프로덕션 게시
기존 버전을 production 버전으로 지정합니다. 이후 agent_version=production으로 실행되는 통화는 이 스냅샷을 사용합니다.
POST
/
agents
/
{agent_id}
/
versions
/
{version}
/
publish
에이전트 버전 프로덕션 게시
curl --request POST \
--url https://client-api.tryvox.co/v3/agents/{agent_id}/versions/{version}/publish \
--header 'Authorization: Bearer <token>'import requests
url = "https://client-api.tryvox.co/v3/agents/{agent_id}/versions/{version}/publish"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://client-api.tryvox.co/v3/agents/{agent_id}/versions/{version}/publish', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"production_version": "<string>",
"previous_production_version": "v1"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Request validation failed.",
"details": {
"field": "name",
"reason": "must not be blank"
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication is required.",
"details": {}
}
}{
"error": {
"code": "FORBIDDEN",
"message": "Permission denied.",
"details": {}
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Resource not found.",
"details": {
"resource": "agent"
}
}
}{
"error": {
"code": "CONFLICT",
"message": "The requested operation conflicts with current state.",
"details": {
"current_status": "draft"
}
}
}{
"error": {
"code": "RATE_LIMIT_EXCEEDED",
"message": "Too many requests.",
"details": {
"limit": 5,
"window_seconds": 1
}
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Internal server error.",
"details": {}
}
}{
"error": {
"code": "SERVICE_UNAVAILABLE",
"message": "Service temporarily unavailable.",
"details": {}
}
}Authorizations
조직 API 키를 Authorization: Bearer <token> 형식으로 보냅니다.
Path Parameters
agent_id로 반환되는 에이전트 UUID입니다.
v1 같은 저장된 버전 식별자입니다.
Pattern:
^v[1-9][0-9]*$Response
성공 응답
publish 결과. previous_production_version은 audit 용.
Was this page helpful?
⌘I
에이전트 버전 프로덕션 게시
